# 126

## Links zu Aufgabe 1
* [OpenSSH in Windows](https://docs.microsoft.com/de-de/windows-server/administration/openssh/openssh_overview)
* [OpenSSH installieren](https://docs.microsoft.com/de-de/windows-server/administration/openssh/openssh_install_firstuse)
* [OpenSSH-Schlüsselverwaltung](https://docs.microsoft.com/de-de/windows-server/administration/openssh/openssh_keymanagement)

## Schlüssel erzeugen für Passwortlosen ssh Zugang
### man ssh ist hilfreich
Die SSH ist Ersatz für rsh, rlogin, scp, rcp, usw. und bringt:
* mehr Sicherheit bei der Authentisierung/Authorisierung
* verschlüsselte Sessions
* einfachen transparenten Zugriff auf fremde Rechner

### Schlüsselpaar erzeugen
ssh key erstellen auf dem Client

Für Linux / OSX
```
$ ssh-keygen -b 4048 -t rsa -C "mobile" -f ~/.ssh/id_rsa_server1
```

Öffentlicher Key auf Server übertragen in das Verzeichnis HOME/user.   
Ordner und Rechte auf dem Server

```
$ mkdir ~/.ssh
chmod 700 ~/.ssh
$ cat id_rsa.pub >> ~/.ssh/authorized_keys
$ chmod 600 ~/.ssh/authorized_keys
```

Für Windows
```
ssh-keygen -b 4048 -t rsa -C "mobile" -f C:\Users\%username%\.ssh\id_rsa_server1
```